
Smart Proxy - Feature #10250

Implement simple ssh BMC provider

04/23/2015 05:53 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: BMC   

Target version: 1.14.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/278,

https://github.com/theforeman/smart-pro

xy/pull/467

  

Description

For BMC API testing, I have implemented simple BMC provider that calls "reboot" and "shutdown" via SSH.

Related issues:

Related to Foreman - Feature #17006: Add SSH BMC entry to the BMC provider menu Closed 10/19/2016

Associated revisions

Revision d9599426 - 10/03/2016 06:40 AM - Lukas Zapletal 

Fixes #10250 - simple SSH BMC provider

History

#1 - 04/23/2015 05:53 AM - Lukas Zapletal

- Tracker changed from Bug to Feature

- Difficulty set to easy

#2 - 04/23/2015 06:10 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/278 added

- Pull request deleted ()

#3 - 09/20/2016 10:00 AM - Daniel Lobato Garcia

- Target version set to 1.5.2

#4 - 10/03/2016 07:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d959942643a68d2f23f12f16383bcebe600fb447.

#5 - 10/03/2016 10:20 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#6 - 10/19/2016 04:03 AM - Lukas Zapletal

- Related to Feature #17006: Add SSH BMC entry to the BMC provider menu added

#7 - 10/19/2016 05:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/467 added
